Bug 82566 - FORMATTING: Font and highlight color buttons reset when toolbar changes
Summary: FORMATTING: Font and highlight color buttons reset when toolbar changes
Status: RESOLVED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.3.0.4 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks: Toolbars Split-Group-Buttons-Color
  Show dependency treegraph
 
Reported: 2014-08-13 14:38 UTC by Joe T
Modified: 2022-09-05 05:58 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Joe T 2014-08-13 14:38:23 UTC
Problem description: 
When editing context changes the displayed toolbars, some formatting options get reset to defaults.

Steps to reproduce:
0. You need a document with a mix of text and images.

1. Select some text. From the Text Formatting toolbar, open Highlighting color picker, choose anything other than default Yellow. The color is applied and selected color remains as the quick-click option.

2. Click on an image to select it. The Text Formatting toolbar should be replaced by the Image toolbar.

3. You don't have to do anything to the image. Click back into some text. The Text Formatting toolbar returns, but the Highlight quick-pick color is reset to Yellow.

Current behavior:
Quick-click selections are reset when editing context changes & then changes back. This applies to Highlighting, Background, and Font Color (that i've seen so far).

Expected behavior:
Formatting selections that come from a picker and are retained for easier repetition should persist until changed from the picker itself, not reset when the editing context changes.
              
Operating System: Windows 8
Version: 4.3.0.4 release
Comment 1 Buovjaga 2014-11-12 08:53:40 UTC
Reproduced.

Win 7 64-bit Version: 4.4.0.0.alpha2+
Build ID: b021b5983c62e266b82d9f0c5c6d8d8900553827
TinderBox: Win-x86@42, Branch:master, Time: 2014-11-12_00:19:18

and Ubuntu 14.10 64-bit Version: 4.4.0.0.alpha2+
Build ID: 1c526c9ddda5d52f7a4db5655a4ec60b8c62835c
TinderBox: Linux-rpm_deb-x86_64@46-TDF-dbg, Branch:master, Time: 2014-11-11_23:20:41
Comment 2 QA Administrators 2015-12-20 16:08:52 UTC Comment hidden (obsolete)
Comment 3 Joe T 2015-12-25 00:31:23 UTC
Confirmed this behavior is still present in 5.0.3.2 for Windows.

Will update to most current 5.x version i can & follow up again.
Comment 4 Buovjaga 2015-12-25 09:49:19 UTC
Reverting version field change (please read field description).
Comment 5 QA Administrators 2017-01-03 19:55:25 UTC Comment hidden (obsolete)
Comment 6 QA Administrators 2019-12-03 14:19:05 UTC Comment hidden (obsolete)
Comment 7 Thomas Lendo 2020-09-04 21:54:37 UTC
Still there.
Version: 7.1.0.0.alpha0+
Build ID: 18e4367c33f327cf09985105bde583cdcc7b2a46
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3
Locale: de-DE (de_DE.UTF-8); UI: en-US
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2020-09-03_13:51:39
Calc: threaded
Comment 8 QA Administrators 2022-09-05 03:38:02 UTC Comment hidden (obsolete)
Comment 9 Joe T 2022-09-05 04:09:58 UTC
This specific bug appears to be fixed. Hurray!

However, there's a variation of it that occurs with changing the User Interface.

While testing several of the options for laying out menus (all of which worked), i noticed that after switching from one layout to another, the color pickers reset to their defaults.

Should i file a new bug for that, or can it be addressed as part of this one?

---

About info:

Version: 7.4.0.3 (x64) / LibreOffice Community
Build ID: f85e47c08ddd19c015c0114a68350214f7066f5a
CPU threads: 16; OS: Windows 10.0 Build 25193; UI render: Skia/Raster; VCL: win
Locale: en-US (en_US); UI: en-US
Calc: CL
Comment 10 Buovjaga 2022-09-05 05:58:06 UTC
(In reply to Joe T from comment #9)
> This specific bug appears to be fixed. Hurray!
> 
> However, there's a variation of it that occurs with changing the User
> Interface.
> 
> While testing several of the options for laying out menus (all of which
> worked), i noticed that after switching from one layout to another, the
> color pickers reset to their defaults.
> 
> Should i file a new bug for that, or can it be addressed as part of this one?

I think a new report would be nice to give a fresh start :) Thanks for testing.